AbstractGrailsPlugin (Grails 6.0.0)

Package: org.grails.plugins

## [Java] Class AbstractGrailsPlugin

- org.grails.plugins.AbstractGrailsPlugin

- All Implemented Interfaces and Traits:
    GrailsPlugin

      public abstract class AbstractGrailsPlugin
      extends groovy.lang.GroovyObjectSupport
      implements GrailsPlugin

  Abstract implementation that provides some default behaviours

  Authors:
    Graeme Rocher

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `AbstractGrailsPlugin.GrailsPluginClass` | Wrapper Grails class for plugins.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.List<java.lang.String>` | `DEFAULT_CONFIG_IGNORE_LIST` |
    `private static org.slf4j.Logger` | `LOG` |
    `static java.lang.String` | `PLUGIN_GROOVY` |
    `static java.lang.String` | `PLUGIN_GROOVY_PATH` |
    `static java.lang.String` | `PLUGIN_YML` |
    `static java.lang.String` | `PLUGIN_YML_PATH` |
    `protected org.springframework.context.ApplicationContext` | `applicationContext` |
    `private static org.springframework.core.io.Resource` | `basePluginResource` |
    `protected Config` | `config` |
    `protected java.util.Map<java.lang.String, java.lang.Object>` | `dependencies` |
    `protected java.lang.String[]` | `dependencyNames` |
    `protected java.lang.String[]` | `evictionList` |
    `protected GrailsApplication` | `grailsApplication` |
    `protected boolean` | `isBase` |
    `protected GrailsPluginManager` | `manager` |
    `protected java.lang.Class<?>` | `pluginClass` |
    `protected org.springframework.core.env.PropertySource<?>` | `propertySource` |
    `protected java.lang.String` | `version` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractGrailsPlugin (java.lang.Class<?> pluginClass, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `checkForChanges()`
    `` | `public int` | `compareTo(java.lang.Object o)`
    `` | `public boolean` | `equals(java.lang.Object o)`
    `` | `protected org.springframework.core.io.Resource` | `getConfigurationResource(java.lang.Class<?> pluginClass, java.lang.String path)`
    `` | `public java.lang.String[]` | `getDependencyNames()`
    `` | `public java.lang.String` | `getDependentVersion(java.lang.String name)`
    `` | `public java.lang.String[]` | `getEvictionNames()`
    `` | `public java.lang.String` | `getFileSystemName()`
    `` | `public java.lang.String` | `getFileSystemShortName()`
    `` | `public java.lang.String[]` | `getLoadAfterNames()`
    `` | `public java.lang.String[]` | `getLoadBeforeNames()`
    `` | `public GrailsPluginManager` | `getManager()`
    `` | `public java.lang.String` | `getName()`
    `` | `public java.lang.Class<?>` | `getPluginClass()`
    `` | `public java.lang.String` | `getPluginPath()`
    `` | `public java.lang.String` | `getPluginPathCamelCase()`
    `` | `public org.springframework.core.env.PropertySource<?>` | `getPropertySource()`
    `` | `public java.lang.String` | `getVersion()`
    `` | `public java.util.List<WatchPattern>` | `getWatchedResourcePatterns()`
    `` | `public boolean` | `hasInterestInChange(java.lang.String path)`
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isBasePlugin()`
    `` | `public boolean` | `isEnabled(java.lang.String[] profiles)`
    `` | `protected org.springframework.core.io.Resource` | `readPluginConfiguration(java.lang.Class<?> pluginClass)`
    `` | `public void` | `refresh()`
    `` | `public void` | `setApplication(GrailsApplication application)`
    `` | `public void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `` | `public void` | `setBasePlugin(boolean isBase)`
    `` | `public void` | `setManager(GrailsPluginManager manager)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll(), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object)`

- - ### Field Detail

    - #### private static final java.util.List<java.lang.String> DEFAULT_CONFIG_IGNORE_LIST

    - #### private static final org.slf4j.Logger LOG

    - #### public static final java.lang.String PLUGIN_GROOVY

    - #### public static final java.lang.String PLUGIN_GROOVY_PATH

    - #### public static final java.lang.String PLUGIN_YML

    - #### public static final java.lang.String PLUGIN_YML_PATH

    - #### protected org.springframework.context.ApplicationContext applicationContext

    - #### private static org.springframework.core.io.Resource basePluginResource

    - #### protected Config config

    - #### protected java.util.Map<java.lang.String, java.lang.Object> dependencies

    - #### protected java.lang.String[] dependencyNames

    - #### protected java.lang.String[] evictionList

    - #### protected GrailsApplication grailsApplication

    - #### protected boolean isBase

    - #### protected GrailsPluginManager manager

    - #### protected java.lang.Class<?> pluginClass

    - #### protected org.springframework.core.env.PropertySource<?> propertySource

    - #### protected java.lang.String version

  - ### Constructor Detail

    - #### public AbstractGrailsPlugin(java.lang.Class<?> pluginClass, GrailsApplication application)

  - ### Method Detail

    - #### public boolean checkForChanges()

    - #### public int compareTo(java.lang.Object o)

    - #### @java.lang.Override public boolean equals(java.lang.Object o)

    - #### protected org.springframework.core.io.Resource getConfigurationResource(java.lang.Class<?> pluginClass, java.lang.String path)

    - #### public java.lang.String[] getDependencyNames()

    - #### public java.lang.String getDependentVersion(java.lang.String name)

    - #### public java.lang.String[] getEvictionNames()

    - #### public java.lang.String getFileSystemName()

    - #### public java.lang.String getFileSystemShortName()

    - #### public java.lang.String[] getLoadAfterNames()

    - #### public java.lang.String[] getLoadBeforeNames()

    - #### public GrailsPluginManager getManager()

    - #### public java.lang.String getName()

    - #### public java.lang.Class<?> getPluginClass()

    - #### public java.lang.String getPluginPath()

    - #### public java.lang.String getPluginPathCamelCase()

    - #### @java.lang.Override public org.springframework.core.env.PropertySource<?> getPropertySource()

    - #### public java.lang.String getVersion()

    - #### public java.util.List<WatchPattern> getWatchedResourcePatterns()

    - #### public boolean hasInterestInChange(java.lang.String path)

    - #### @java.lang.Override public int hashCode()

    - #### public boolean isBasePlugin()

    - #### @java.lang.Override public boolean isEnabled(java.lang.String[] profiles)

    - #### protected org.springframework.core.io.Resource readPluginConfiguration(java.lang.Class<?> pluginClass)

    - #### public void refresh()

    - #### public void setApplication(GrailsApplication application)

    - #### public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### public void setBasePlugin(boolean isBase)

    - #### public void setManager(GrailsPluginManager manager)